Bug 417421 - Review Request: bib2html - Converting bibTeX file to HTML
Review Request: bib2html - Converting bibTeX file to HTML
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 14:36 EST by Terje Røsten
Modified: 2007-12-13 03:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 03:27:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-12-09 14:36:33 EST
Spec URL: http://terjeros.fedorapeople.org/bib2html/bib2html.spec
SRPM URL: http://terjeros.fedorapeople.org/bib2html/bib2html-1.2.1-1.fc8.src.rpm
Description:
bib2html is a utility for converting a bibTeX file into HTML
format. It will recognize the 'url' field in the bibTeX entries and
make appropriate links in the HTML output to the URL location.
Comment 1 Patrice Dumas 2007-12-09 16:33:59 EST
* rpmlint is silent
* follow guidelines
* seems to be gpl, free software, although there is a lack of
  explanation and of source file license header
* match upstream
a2a1f9cb34de65f9e07c084841427d9c  bib2html-1.2.1.tar.gz
* %files section right

The license seems to me to be GPL+.

It fails on my bib file, due to a (valid) construct like
  month =         sep # { 25},


APPROVED, if you fix the license field.
Comment 2 Patrice Dumas 2007-12-09 16:48:01 EST
I have packaged a similar package, but I don't want to maintain
yet another package, so if you are interested, here it is:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/bibtex2html-1.88-1.fc9.src.rpm
Comment 3 Terje Røsten 2007-12-09 17:46:04 EST
> APPROVED, if you fix the license field.

No problem, thanks!

Comment 4 Terje Røsten 2007-12-09 17:54:17 EST
(In reply to comment #2)
> I have packaged a similar package, but I don't want to maintain
> yet another package, so if you are interested, here it is:

My list is growing too, but I will take it (however I don't
have a clue about ocaml ...). There are no debuginfo packages for ocaml bins?

spec: http://terjeros.fedorapeople.org/bib2html/bibtex2html.spec
srpm: http://terjeros.fedorapeople.org/bib2html/bibtex2html-1.88-2.fc8.src.rpm

(Will send separate bz report later)

BTW: I found some bugs in your nice debian related packages:
 http://www.environnement.ens.fr/perso/dumas/fc-srpms/debian/

Has these packages found any maintainer?



Comment 5 Patrice Dumas 2007-12-09 18:09:24 EST
(In reply to comment #4)
> (In reply to comment #2)
> > I have packaged a similar package, but I don't want to maintain
> > yet another package, so if you are interested, here it is:
> 
> My list is growing too, but I will take it (however I don't
> have a clue about ocaml ...). There are no debuginfo packages for ocaml bins?

I don't know. I am not very knowlegeable in ocaml myself, that is
also a reason why I didn't submitted the package.

I had a look at the ocaml packaging guidelines, but there is nothing
for packages that are not ocaml libraries.

> spec: http://terjeros.fedorapeople.org/bib2html/bibtex2html.spec
> srpm: http://terjeros.fedorapeople.org/bib2html/bibtex2html-1.88-2.fc8.src.rpm
> 
> (Will send separate bz report later)
> 
> BTW: I found some bugs in your nice debian related packages:
>  http://www.environnement.ens.fr/perso/dumas/fc-srpms/debian/

I will try to fix them, please contact me directly.

> Has these packages found any maintainer?

debootstrap is now packaged.

There was some discussion about dpkg on fedora-devel (with
some people wanting to cripple the package to avoid having
unattended installation of .deb -- something I am opposed to).

In any case all the packages that are still there are not
submitted, to my knowledge.
Comment 6 Terje Røsten 2007-12-10 04:19:30 EST
> APPROVED, if you fix the license field.

Fixed:

SPEC: http://terjeros.fedorapeople.org/bib2html/bib2html.spec
SRPM: http://terjeros.fedorapeople.org/bib2html/bib2html-1.2.1-2.fc8.src.rpm

New Package CVS Request
=======================
Package Name: bib2html
Short Description: Converting bibTeX file to HTML
Owners: terjeros
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes


Comment 7 Kevin Fenzi 2007-12-10 12:06:39 EST
cvs done.
Comment 8 Terje Røsten 2007-12-13 03:27:16 EST
Closing, available in rawhide, F-7 and F-8 testing.

Note You need to log in before you can comment on or make changes to this bug.